{% extends 'layout.html' %}
{% load static %}
{% load site_configs_tags %}
{% load widget_tweaks %}
{% load l10n %}}
{% load cache %}

{% block content_wrapper %}
    {% get_configs 'common.Contacts' as contacts %}
    <div class="contacts-sec">
        <div class="container">
            <div class="wrap">
                <div class="row flex-sm-row-reverse">
                    <div class="title-gradient text-uppercase">контакты</div>
                    <div class="col-lg-6 col-md-5 ">
                        <div id="map"></div>
                    </div>
                    <div class="col-lg-6 col-md-7 contacts-info">
                        <p>График работы: {% for work_time in contacts.work_times.all %}
                                <br/>
                                {% if work_time.start_day_of_week != work_time.end_day_of_week and work_time.start_day_of_week and work_time.end_day_of_week %}
                                    {{ work_time.start_day_of_week_full_name }} - {{ work_time.end_day_of_week_full_name }}
                                {% else %}
                                    {% if work_time.start_day_of_week  %}
                                    {{ work_time.start_day_of_week_full_name }}
                                    {% elif work_time.end_day_of_week %}
                                    {{ work_time.end_day_of_week_full_name }}
                                    {% endif %}
                                {% endif %}
                                {% if work_time.weekend %}
                                    выходной
                                {% else %}
                                с {{ work_time.start_work_time_hours  }}:{{ work_time.start_work_time_minutes }}
                                до
                                {{ work_time.end_work_time_hours }}:{{ work_time.end_work_time_minutes }}
                                {% endif %}
                            {% endfor %}
                        </p>
                        <div class="line"></div>
                        <ul class = "list-unstyled">
                            <li>Звоните <a href = "tel:{{ contacts.phone }}">{{ contacts.phone }}</a></li>
                            <li>Задайте вопрос на почту: <a href = "mailto:{{ contacts.email }}">{{ contacts.email }}</a></li>
                            <li>Пишите в Watsapp <a href="#">{{ contacts.whatsapp }}</a></li>
                        </ul>
                        <div class="line"></div>
                        <ul class = "list-unstyled">
                            <li>Мы находимся по адресу: <a href = "#">{{ contacts.address }}</a></li>
                            <li>Данные для GPS­навигатора: {{ contacts.gps_lat|unlocalize }}, {{ contacts.gps_lng|unlocalize }}</li>
                        </ul>
                        <button class = "btn btn__gold" onclick="openMobileMap({{ contacts.gps_lat|unlocalize }},{{ contacts.gps_lng|unlocalize }})">Проложить маршрут</button>
                        <div class="line"></div>
                        {{ contacts.legal_information|safe }}
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="contacts-form">
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-md-6">
                    <div class="wrap">
                        <form data-parsley-validate="" method="post" action="{% url 'feedback:backcall_send' %}" data-yandex-goal="aofsgrf">
                            {% csrf_token %}
                            <div class="form-title">Хотите связаться с нами? Закажите обратный звонок</div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="form-group" id="backcallFormNameField">
                                        <div>
                                            {% with form_backcall.name.field.required|yesno:'true,false' as required %}
                                            {% render_field form_backcall.name class="form-control" id="name" placeholder="Как Вас зовут?" data-parsley-required=required data-parsley-maxlength=form_backcall.name.field.max_length data-parsley-class-handler="#backcallFormNameField" %}
                                            {% endwith %}
                                        </div>
                                    </div>
                                    <div class="form-group" id="backcallInlineFormPhoneField">
                                        <div>
                                            {% with form_backcall.phone.field.required|yesno:'true,false' as required %}
                                            <input type="tel" class="form-control" id="phone"
                                                   name="phone_number"
                                                   placeholder="Введите свой номер телефона"
                                                   {% if required %}required{% endif %}
                                                   data-parsley-required=required
                                                   data-parsley-class-handler="#backcallInlineFormPhoneField"
                                                   data-parsley-validate-phone-number=""
                                            />
                                            {% endwith %}
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                    <button class="btn btn__gold btn-block" type="submit">ОТПРАВИТЬ</button>
                                </div>
                            </div>
                            <div class="small">Нажатием кнопки «Отправить» я даю свое <a target="_blank" href="{% url 'personal' %}">согласие на обработку персональных данных</a></div>
                        </form>
                    </div>
                </div>
                <div class="col-lg-8 col-md-6">
                    <div class="route-img wrap">
                        <h3>Карта проезда</h3>
                        <img class="desktop" src="{% static 'web/img/map-desktop.jpg' %}" alt="Addwine карта проезда">
                        <img class="mobile" src="{% static 'web/img/map-mob.jpg' %}" alt="Addwine карта проезда">
                    </div>
                </div>
            </div>
        </div>
    </div>
    {% include 'web/partials/social-networks-widgets.html' %}
{% endblock %}

{% block scripts %}
    {{ block.super }}

    {% get_configs 'common.Contacts' as contacts %}
    <script>
        function initMap() {
            var map = new google.maps.Map(document.getElementById('map'), {
                center: {lat: {{ contacts.gps_lat|unlocalize }}, lng: {{ contacts.gps_lng|unlocalize }} },
                zoom: 17,
                styles: [{"featureType":"all","elementType":"all","stylers":[{"saturation":"-100"},{"lightness":"41"}]}]
            });

            new google.maps.Marker({
                position: {lat: {{ contacts.gps_lat|unlocalize }}, lng: {{ contacts.gps_lng|unlocalize }} },
                map: map,
                icon: "{% static "web/img/contacts_marker.png" %}"
            });
        }

        var isIOS=checkIsIOS();
        function openMobileMap(lat, lng) {
            if(isIOS)
                window.location="http://maps.apple.com/?daddr="+lat+","+lng;
            else
                window.location="http://maps.google.com/?daddr="+lat+","+lng;
        }
    </script>

    {% include 'web/partials/social-networks-widgets-scripts.html' %}
{% endblock %}

{% block extrascripts %}
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBCCpmeDlMK0jD4ZAeLLZ2oMeBvA13ZprE&callback=initMap"
        async defer></script>
{% endblock %}